* E Posta Adresiniz:
* Kodu Girin:

İleti Yazar
22.01.2019 10:38
87031    
atiemre

[2] Girişimci

Online Durumu

5 ileti
Teknik Ressam (Auto Cad)
istanbul

Alıntı
mttlp :
Alıntı
atiemre :
Alıntı
mttlp :
Alıntı
Travaci :
atiemre


Bunun için lisp gerekli mi ? Att leri field ile toplasanız olmuyor mu ?



Erkan hocam hesap kısmında toplama değilde girdiği kanal ebatlarına göre hızı ve basınçı otomatik hesaplamasını istiyor.



Evet, hatta bana seçenek sunsun istiyorum aşağıdaki gibi ;

A 420 x 350, R=0.96 Pa/m, v=5.67 m/s, Deq=418.7 mm, Re=167087
B 250 x 610, R=0.99 Pa/m, v=5.46 m/s, Deq=416.7 mm, Re=167871
C 440 x 330, R=1.00 Pa/m, v=5.74 m/s, Deq=415.5 mm, Re=168379
D 330 x 440
E Hicbiri



Mesaj kutunuza bakın yapılmışı var



Mesaj kutumda bir şey göremedim tekrar iletebilir misiniz?

22.01.2019 12:56
87032    
mttlp

[8] Kıdemli Uzman

Online Durumu

106 ileti
Teknik Ressam
ankara

Alıntı
atiemre :
Alıntı
mttlp :
Alıntı
atiemre :
Alıntı
mttlp :
Alıntı
Travaci :
atiemre


Bunun için lisp gerekli mi ? Att leri field ile toplasanız olmuyor mu ?



Erkan hocam hesap kısmında toplama değilde girdiği kanal ebatlarına göre hızı ve basınçı otomatik hesaplamasını istiyor.



Evet, hatta bana seçenek sunsun istiyorum aşağıdaki gibi ;

A 420 x 350, R=0.96 Pa/m, v=5.67 m/s, Deq=418.7 mm, Re=167087
B 250 x 610, R=0.99 Pa/m, v=5.46 m/s, Deq=416.7 mm, Re=167871
C 440 x 330, R=1.00 Pa/m, v=5.74 m/s, Deq=415.5 mm, Re=168379
D 330 x 440
E Hicbiri



Mesaj kutunuza bakın yapılmışı var



Mesaj kutumda bir şey göremedim tekrar iletebilir misiniz?




tesisatkesif@gmail.com


Linkleri görebilmek için ÜYE olmalısınız.


bakabilirisin.

en sevdiğim komut copy

22.01.2019 13:10
87033    
atiemre

[2] Girişimci

Online Durumu

5 ileti
Teknik Ressam (Auto Cad)
istanbul

Alıntı
mttlp :
Alıntı
atiemre :
Alıntı
mttlp :
Alıntı
Travaci :
atiemre


Bunun için lisp gerekli mi ? Att leri field ile toplasanız olmuyor mu ?



Erkan hocam hesap kısmında toplama değilde girdiği kanal ebatlarına göre hızı ve basınçı otomatik hesaplamasını istiyor.



Evet, hatta bana seçenek sunsun istiyorum aşağıdaki gibi ;

A 420 x 350, R=0.96 Pa/m, v=5.67 m/s, Deq=418.7 mm, Re=167087
B 250 x 610, R=0.99 Pa/m, v=5.46 m/s, Deq=416.7 mm, Re=167871
C 440 x 330, R=1.00 Pa/m, v=5.74 m/s, Deq=415.5 mm, Re=168379
D 330 x 440
E Hicbiri



Mesaj kutunuza bakın yapılmışı var



Mesaj kutum şu an boş gözüküyor, tekrar iletebilir misiniz?

22.01.2019 15:29
87035    
mttlp

[8] Kıdemli Uzman

Online Durumu

106 ileti
Teknik Ressam
ankara

tesisatkesif@gmail.com
Adresinden ulaşabilirsiniz


Alıntı
atiemre :
Merhabalar, Benim bir lispe ihtiyacım var.

m3/h cinsinden bir havalandırma debim var ve att blok içine bu debi ile ilgili değerleri yazsın istiyorum. Debiyi ve x y ölçülerini yazdıktan sonra hız basınç değerini otomatik hesaplasın istiyorum.

Örnek verecek olursam,

3000 m3/h
550 x 300
5.05 m/s - 0.76 Pa/m

Kalın yazı ile belirttiğim değerleri bu att blok içine hesaplayıp yazsın istiyorum. Örnek dosyayıda ekte paylaşıyorum.

Bu konuda yardımcı olabilir misiniz?


12406-debi.dwg

en sevdiğim komut copy

29.01.2019 16:26
87043    
elaura

[2] Girişimci

Online Durumu

6 ileti
İnşaat Teknikeri
İstanbul

Merhaba,

Üst üste binmiş nesnelerin (overlapped objects) seçimini yapabileceğim bir lisp arıyorum.
"Overkill" komutu ile bu nesneleri silebiliyorum fakat hangisinin silindiğini bilmediğim için karışıklığa/kontrolsüzlüğe sebep olabiliyor.

Kısaca, "Overkill" komutunun sadece seçim yapıp, sonrasını bize bırakan bir versiyonunu arıyorum diyebilirim.

Bu konuda yardımcı olabilir misiniz?


elaura (29.01.2019 16:44 GMT)

30.01.2019 10:22
87044    
Travaci

[70] Editör

Online Durumu

2145 ileti
Teknik Ressam
Konstantinopol

elaura


Overkill komutunu kullandıktan sonra kalan nesneleri seçip autocad in bir komutunu kullanın misal move gibi. Komutu çalıştırdıktan sonra nesneleri seçip bırakın, undo diyip silinmemiş haline tekrar geri dönün. Tekrar Move komutunu çalıştırdıktan sonra "p" komutunu kullanarak silinenle silinmeyenleri birbirinden ayırabılırsınız.

30.01.2019 10:37
87045    
elaura

[2] Girişimci

Online Durumu

6 ileti
İnşaat Teknikeri
İstanbul

Alıntı
Travaci :
Overkill komutunu kullandıktan sonra kalan nesneleri seçip autocad in bir komutunu kullanın misal move gibi. Komutu çalıştırdıktan sonra nesneleri seçip bırakın, undo diyip silinmemiş haline tekrar geri dönün. Tekrar Move komutunu çalıştırdıktan sonra "p" komutunu kullanarak silinenle silinmeyenleri birbirinden ayırabılırsınız.


Çok mantıklı cidden, hiç aklıma gelmemişti previous selection ile böyle bir şey yapmak. Teşekkür ederim Travaci.

Yine de istediğim türde bir lisp bulabilirsem işimi biraz daha hızlandırmış olacaktır. Umarım bu konuda da yardımcı olabilecek birilerini bulabilirim.


elaura (30.01.2019 10:44 GMT)

30.01.2019 11:18
87046    
Travaci

[70] Editör

Online Durumu

2145 ileti
Teknik Ressam
Konstantinopol

Autocad de her nesnenin karakteristik özellikleri farklı olduğu için şıp diye yazılacak bir lisp değil, üstüne de overkill komutunda olduğu gibi özelleştirmeleri de eklersek bayağı bi vakit alacaktır, bunun gibi zahmetli ve kişiye özel bir lisp ancak ücretli yazılır.

02.02.2019 15:20
87061    
serdarkaraman

[2] Girişimci

Online Durumu

2 ileti

MERHABA BENİM BİR LİSPE İHTİYACIM VAR.
BİR LİNE NIN TAM ORTASINA ÜÇGEN BİR BLOK YERLEŞTİRMEK İSTİYORUM. LİNE AÇILI OLSA BİLE ÜÇGEN DE AYNI AÇIDA OLMALI. ÜÇGENİN EN UCU DA VEYA AĞIRLIK MERKEZİ DE ORTAYA GELSE FARKETMEZ. ORTADA OLSUN YETER KANALİZASYON İÇİN KULLANACAĞIM. PLİNE VEYA POLYGON İLE DEĞİL BLOCK İLE ÇÖZMEM LAZIM

02.02.2019 19:29
87063    
alumina

[70] Editör

Online Durumu

662 ileti
Insaat Muhendisi
Istanbul

Alıntı
serdarkaraman :

Kod:

(defun c:bn (/ n dc sl) (vl-load-com)
  (if (and (ssget '((0 . "line")))
        (/= (setq n (getstring T
          "\nEnter the block name:")) ""))
    (progn
      (setq dc (vla-get-ActiveDocument
        (vlax-get-acad-object))
          sl (vla-get-ActiveSelectionSet dc))
      (vla-StartUndomark dc)
      (if (tblobjname "block" n)
        (vlax-for m sl
          (vlax-invoke (vla-get-ModelSpace dc)
            'InsertBlock (mapcar '(lambda(a b)
               (/ (+ a b) 2)) (vlax-get m 'StartPoint)
                 (vlax-get m 'EndPoint)) n 1 1 1
                   (vla-get-Angle m)))
        (alert "Block not found"))
      (vla-EndUndomark dc) (vla-Delete sl)
    )
  ) (prin1)
)

07.02.2019 13:49
87071    
serdarkaraman

[2] Girişimci

Online Durumu

2 ileti

Alıntı
alumina :
Alıntı
serdarkaraman :

Kod:

(defun c:bn (/ n dc sl) (vl-load-com)
  (if (and (ssget '((0 . "line")))
        (/= (setq n (getstring T
          "\nEnter the block name:")) ""))
    (progn
      (setq dc (vla-get-ActiveDocument
        (vlax-get-acad-object))
          sl (vla-get-ActiveSelectionSet dc))
      (vla-StartUndomark dc)
      (if (tblobjname "block" n)
        (vlax-for m sl
          (vlax-invoke (vla-get-ModelSpace dc)
            'InsertBlock (mapcar '(lambda(a b)
               (/ (+ a b) 2)) (vlax-get m 'StartPoint)
                 (vlax-get m 'EndPoint)) n 1 1 1
                   (vla-get-Angle m)))
        (alert "Block not found"))
      (vla-EndUndomark dc) (vla-Delete sl)
    )
  ) (prin1)
)




öncelikle çok teşekkür ederim. ben okları sonradan değil de line cizdim diyelim hemen oku yerleştirsin istiyorum. yani sonrada hepsini seçip yerleştirmek değil. blok ismi de sabit. yani bana hangi blok diye sormasın. amma çok sey istedim dimi.

07.02.2019 14:43
87074    
alumina

[70] Editör

Online Durumu

662 ileti
Insaat Muhendisi
Istanbul

Alıntı
alumina :
Alıntı
serdarkaraman :

Kod:

(defun c:bn (/ dc ms n1 n2) (vl-load-com)
  (setq dc (vla-get-ActiveDocument
    (vlax-get-acad-object))
      ms (vla-get-ModelSpace dc))
  (while (and (setq n1 (getpoint "\nSpecify first point:"))
      (setq n2 (getpoint n1 "\nSpecify next point:")))
    (vla-StartUndomark dc)
    (vlax-invoke ms 'AddLine n1 n2)
    (vlax-invoke ms 'InsertBlock (mapcar
      '(lambda(a b) (/ (+ a b) 2)) n1 n2)
         "BLOK ADINI YAZ" 1 1 1 (angle n1 n2))
    (vla-EndUndomark dc)
  ) (prin1)
)



Travaci (08.02.2019 09:18 GMT)

11.02.2019 14:48
87086    
anarkh

[2] Girişimci

Online Durumu

6 ileti
tekniker
istanbul

merhabalar, belli bir alana sprinklerler başlığı atan lisp arıyorum. beli buralarda bilen birileri vardır.

teşekkürler.

12.02.2019 08:43
87090    
Travaci

[70] Editör

Online Durumu

2145 ileti
Teknik Ressam
Konstantinopol

anarkh


Burada herkes maalesef sizinle aynı mesleği yapmıyor, daha açıklayıcı şekilde yazarsanız yardım alma ihtimaliniz daha yüksek olur. : )

12.02.2019 10:59
87092    
mttlp

[8] Kıdemli Uzman

Online Durumu

106 ileti
Teknik Ressam
ankara

Alıntı
anarkh :
merhabalar, belli bir alana sprinklerler başlığı atan lisp arıyorum. beli buralarda bilen birileri vardır.

teşekkürler.




Evet yapılmışı var

en sevdiğim komut copy

12.02.2019 13:13
87095    
anarkh

[2] Girişimci

Online Durumu

6 ileti
tekniker
istanbul

Alıntı
Travaci :
anarkh


Burada herkes maalesef sizinle aynı mesleği yapmıyor, daha açıklayıcı şekilde yazarsanız yardım alma ihtimaliniz daha yüksek olur. : )



haklısınız kusura bakmayın. siz lispi şu şekilde anlatayım o halde;

belli bir alan içersine 300cm'e 400cm aralıklarla sprinkler başlıklarını atan lisp arıyorum. şöyle bir resim ekleyeyim;



sprinkler yerleşimi bu şekilde olmalı. başlangıç duvardan sprinkler aralığı 150cm ise devamındaki sprinkler onun 2 katı olmalı. yani 300cm.

eğer duvardan 200cm aralığındaysa devamındaki sprinkler 400 gitmeli.

sprinklerde 300cm'e 400cm'e genelde kullanılan yerleştirme biçimidir, 350-300 de olabilir, 300-300 de. fakat 300-400'den fazla bir dizilim olamaz.

sprinkler en fazla duvardan 200cm aralığında olabilir.

sprinklerin birbirine yakınlığı en fazla 200cm olabilir.

bu arada ben bu bilgileri herhangi bir isteğim olduğu için yazmadım, eğer daha önce buna benzer bir lisp yazıldıysa kullanmak isterim.

teşekkürler vaktinizi çaldım.

12.02.2019 13:14
87096    
anarkh

[2] Girişimci

Online Durumu

6 ileti
tekniker
istanbul

Alıntı
mttlp :
Alıntı
anarkh :
merhabalar, belli bir alana sprinklerler başlığı atan lisp arıyorum. beli buralarda bilen birileri vardır.

teşekkürler.




Evet yapılmışı var



merhaba eğer varsa yardımcı olup paylaşırsanız sevinirim

12.02.2019 13:54
87099    
Travaci

[70] Editör

Online Durumu

2145 ileti
Teknik Ressam
Konstantinopol

anarkh




Linkleri görebilmek için ÜYE olmalısınız.



İletişim için mttlp : )

12.02.2019 14:52
87100    
anarkh

[2] Girişimci

Online Durumu

6 ileti
tekniker
istanbul

Alıntı
Travaci :
anarkh





tabii ücretli seçeneğinin olduğunu biliyordum. teşekkürler yine de

Önceki Sayfa [1] [2] [3] [4] [5] [6] [7] [8] [9] [10] [15] [20] [25] [30] [35] [40] [45] [50] [55] [60] [65] [70] [75] [80] [85] > 87 <
Copyright © 2004-2018 | Tüm Hakları Saklıdır | 739 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam